# &adminguide;

## Overview

The module exports a RPC command to execute MI commands and an MI command to run RPC commands.

## Dependencies

### &kamailio; Modules

The following modules must be loaded before this module:

- No dependencies on other &kamailio; modules.

### External Libraries or Applications

The following libraries or applications must be installed before running &kamailio; with this module loaded:

- None.

## Parameters

### `rpc_url` (string)

Note: this parameter is used for MI to RPC connections.

This parameters specifies the connection to use for running RPC commands from the mangement interface.

This parameter is required if you need to run RPC commands from the MI. It must match a URL to which the RPC is bound.

#### Set `rpc_url` parameter

    ...
    modparam("mi_rpc","rpc_url","tcp:localhost:2046")
    ...

## Functions

none

## Exported RPC commands

### `mi` `mi_dg` `mi_fifo` `mi_xmlrpc`

Execute a MI command.

Depending on the version (e.g. mi, mi_dg) it formats the output in a similar way to the corresponding kamailio mi module:

- `mi` - uses a special, "pretty" format which generates nicer (more readable) output when used with sercmd.
- `mi_dg` - uses an output format similar to the kamailio mi_datagram module.
- `mi_fifo` - uses an output format similar to the kamailio mi_fifo module.
- `mi_xmlrpc` - uses an output format similar to the kamailio mi_xmlrpc module.

Name: mi

Parameters:

_mi_command_ - the MI command to execute (mandatory).

_parameters_ - the MI command parameters (optional).

Example using 'sercmd':

    sercmd> mi uptime
    Now:: Thu Sep 24 18:17:15 2009
    Up since:: Thu Sep 24 17:35:45 2009
    Up time:: 2490 [sec]

## MI Commands

### `rpc`

This MI commands runs a RPC command.

It must be passed the name of the RPC command, and any parameters that the RPC command requires.